function output = TFCCreateAnalytics( cFeaturesTest, cSearchResults, classType)
%   File: TFCCreateAnalyticcs.m
%   Description:Converts clasification results in readable data
%
%   Input:
%       cFeaturesTraining, CfeaturesTest - cell array features
%       vWhat - 18 positions vector with 1 or 0. If 0, the feature is not
%               chosen.
%                                                   
%   Output:
%       cell array with instrument, test label, and searched label
%       
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%

    % Comprovar classType
    if classType < 0 || classType > 2
        error ('Tipo de Class erroni');
    end
    results{1} = zeros(length(cFeaturesTest{1}),1); % arxiu
    results{2} = cell(length(cFeaturesTest{1}),1); % instrument
    results{3} = cell(length(cFeaturesTest{1}),1); % LAbelTest
    results{4} = cell(length(cFeaturesTest{1}),1); % LAbelResult
    
    results{1} = cFeaturesTest{1};
    results{2} = cFeaturesTest{22};
    results{3} = cFeaturesTest{20 + classType};
    results{4} = cSearchResults{1};
    results{5} = cSearchResults{2};
    
    output = results;


end

