function output = TFCCreateAnalytics0( cFeaturesTest, cSearchResults, classType)
%   File: TFCCreateAnalyticcs.m
%   Description:Converts clasification results in readable data
%
%   Input:
%       cFeaturesTraining, CfeaturesTest - cell array features
%       vWhat - 18 positions vector with 1 or 0. If 0, the feature is not
%               chosen.
%                                                   
%   Output:
%       cell array with instrument, test label, and searched label
%       
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%

    % Comprovar classType
    if classType < 0 || classType > 2
        error ('Tipo de Class erroni');
    end
    
    results{1} = cell(length(cFeaturesTest{1}),1); % instrument
    results{2} = cell(length(cFeaturesTest{1}),1); % TESTlabel
    results{3} = cell(length(cFeaturesTest{1}),1); % cSearchResultsLAbel\

    for index_i = 1:length(cSearchResults)-2
        results{4+index_i} = cell(length(cFeaturesTest{1}),1);
    end   
    
    results{1} = cFeaturesTest{22};
    results{2} = cFeaturesTest{20 + classType};
    results{3} = cSearchResults{1};
    results{4} = cSearchResults{2};
    for index_i = 1:length(cSearchResults)-2
        results{4+index_i} = cSearchResults{2+index_i};
    end    
    
    output = results;


end

