function [mTraining mTest] = TFCCreateCheckMatrix(cFeaturesTraining, cFeaturesTest, vWhat)
%   File: TFCCreateCheckMatrix.m
%   Description: Create matrices with features from cell array features and chosen atributes
%
%   Input:
%       cFeaturesTraining, CfeaturesTest - cell array features
%       vWhat - 18 positions vector with 1 or 0. If 0, the feature is not
%               chosen.
%                                                   
%   Output:
%       mTraining, mTest - matrices with chosen features
%       
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%


if length (vWhat) ~= 18
        error ('El vector de caracteristiques a invcloure ha de ser de 18 posicions de llarg');
    end
    mTest = zeros(length(cFeaturesTest{1}), sum(vWhat));
    mTraining = zeros(length(cFeaturesTraining{1}), sum(vWhat));

    indexm = 1;
    % check every element of vector vWhat
    for index = 1:length(vWhat)
        % if Feature should be included
        if(vWhat(index) == 1)
            % copy column to training
            mTraining(:,indexm) = cFeaturesTraining{index+1};
                        % we had to add 1 to index because we have to discard frist
                        % column of features cell array that correspon to an index
            % copy column to test
            mTest(:,indexm) = cFeaturesTest{index+1};
                        % we had to add 1 to index because we have to discard frist
                        % column of features cell array that correspon to an index
            indexm = indexm + 1;
        end
    end
end

