function output = TFCCreateFeatures( audioListFile, featuresFile, windowSize )
%   File: TFCreateFeatures.m
%   Description: Creates features file from initial audio list file
%   Input:
%       audioListFile - source file
%       featuresFile  - file with features contents
%   Output:
%       OK
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas

    cAudioList = TFCLoadAudioList(audioListFile);
    cFeatures = TFCGetFeatures(cAudioList, windowSize);
    output = TFCSaveFeatures(featuresFile,cFeatures);

end

