function output = TFCReportDecision( cAnalytics, cAudioList )
%   File: TFCReportDecision.m
%   Description: Summarize analytics cell array data from audioFile list
%
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%


	results {1} = cell (length(cAudioList{1}),1);	%% Filename
	results {2} = cell (length(cAudioList{1}),1);	%% Instrument
	results {3} = cell (length(cAudioList{1}),1);	%% Familia
	results {4} = cell (length(cAudioList{1}),1);	%% Subfamilia
	results {5} = zeros (length(cAudioList{1}),1);	%% number of frames
	results {6} = cell (length(cAudioList{1}),1);	%% Primera classe candidata
	results {7} = zeros (length(cAudioList{1}),1);	%% percent first candidate
	results {8} = cell (length(cAudioList{1}),1);	%% Segona Classe candidata
	results {9} = zeros (length(cAudioList{1}),1); %% percent second candidate
 	results {10} = cell (length(cAudioList{1}),1);	%% Decided class
	
	s = struct ('Label', {},'Number', {});
	index_f = 1;	
	o_index_i = -1;
	for index_i = 1:length(cAnalytics{1})
		if cAnalytics{1}(index_i) ~= o_index_i
			%% Begin frames of new file
			if o_index_i ~= -1
				%% Summarize data
				
				%% Which is the referred file?
				results{1}{index_f} = cAudioList{1}{index_f};
				results{2}{index_f} = cAudioList{4}{index_f};
				results{3}{index_f} = cAudioList{2}{index_f};
				results{4}{index_f} = cAudioList{3}{index_f};

				%% Calcule number of frames
				nFrames = 0;
				for index_n = 1:length(s)
					nFrames = nFrames + s(index_n).Number;
				end
				results{5}(index_f) = nFrames;

				%% Calculate percent first candidate
				Label = '';	
				Number = 0;
				for index_n = 1:length(s)
					if s(index_n).Number > Number
						Number = s(index_n).Number;
						Label = s(index_n).Label;
					end
				end
				results{6}{index_f} = Label;
				results{7}(index_f) = Number / nFrames;

				%% Calculate percent second candidate
				Label = '';	
				Number = 0;
				for index_n = 1:length(s)
					if s(index_n).Number >= Number && strcmp (s(index_n).Label, results{6}{index_f}) ~= 1
						Number = s(index_n).Number;
						Label = s(index_n).Label;
					end
				end
				results{8}{index_f} = Label;
				results{9}(index_f) = Number / nFrames;
				
				%% Take decision
				
				results{10}{index_f} = '---';
				
				index_f = index_f + 1;
			end
			o_index_i = cAnalytics{1}(index_i);
			% Reset s
			s = struct ('Label', {},'Number', {});
            s(1).Label = cAnalytics{4}{index_i};
            s(1).Number = 1;
		else
			% summarize class in s
            index_j = 1;
			while index_j <= length(s)
				if strcmp (s(index_j).Label, cAnalytics{4}{index_i}) == 1
					s(index_j).Number = s(index_j).Number + 1;
					break;
                end
                index_j = index_j + 1;
            end
            if index_j > length(s)
                s(index_j).Label = cAnalytics{4}{index_i};
                s(index_j).Number = 1;
            end
		end
    end
    
	%% Summarize data
				
				%% Which is the referred file?
	results{1}{index_f} = cAudioList{1}{index_f};
	results{2}{index_f} = cAudioList{4}{index_f};
	results{3}{index_f} = cAudioList{2}{index_f};
	results{4}{index_f} = cAudioList{3}{index_f};

				%% Calcule number of frames
	nFrames = 0;
	for index_n = 1:length(s)
		nFrames = nFrames + s(index_n).Number;
	end
	results{5}(index_f) = nFrames;
	%% Calculate percent first candidate
	Label = '';	
	Number = 0;
	for index_n = 1:length(s)
		if s(index_n).Number > Number
			Number = s(index_n).Number;
			Label = s(index_n).Label;
		end
	end
	results{6}{index_f} = Label;
	results{7}(index_f) = Number / nFrames;
		%% Calculate percent second candidate
	Label = '';	
	Number = 0;
	for index_n = 1:length(s)
		if s(index_n).Number >= Number && strcmp (s(index_n).Label, results{6}{index_f}) ~= 1
			Number = s(index_n).Number;
			Label = s(index_n).Label;
		end
	end
	results{8}{index_f} = Label;
	results{9}(index_f) = Number / nFrames;
	
	%% Take decision
	
	results{10}{index_f} = '---';
  
    output = results;

end

