function status = TFCSaveAnalytics( fname, cAnalytics )
%   File: TFCSaveAnalytics.m
%   Description: Save analytics cell array into a file
%
%   Input:
%       fname - destination file name
%       cAnalytics - Analutics to save
%                                                   
%   Output:
%       mTraining, mTest - matrices with chosen features
%       
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%

    fid = fopen(fname, 'w');
    fprintf(fid, 'IndexArchiu\tInstrument\tEtiquetaTest\tEtiquetaClassificador\tValue\n');

    for m=1:length(cAnalytics{1})
        fprintf (fid, '%d\t%s\t%s\t%s\t%d\n',cAnalytics{1}(m), cAnalytics{2}{m}, cAnalytics{3}{m}, cAnalytics{4}{m}, cAnalytics{5}(m)); 
    end

    fclose(fid);

end

