function status = TFCSaveAnalytics0( fname, cAnalytics )
%   File: TFCSaveAnalytics.m
%   Description: Save analytics cell array into a file
%
%   Input:
%       fname - destination file name
%       cAnalytics - Analutics to save
%                                                   
%   Output:
%       mTraining, mTest - matrices with chosen features
%       
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas
%

    fid = fopen(fname, 'w');
    fprintf(fid, 'Instrument\tEtiquetaTest\tEtiquetaClassificador\tValue');
    
    for m=5:length(cAnalytics)
        fprintf(fid, '\tEtiqueta');
    end
    fprintf(fid, '\n');

    for m=1:length(cAnalytics{1})
        fprintf (fid, '%s\t%s\t%s\t%d', cAnalytics{1}{m}, cAnalytics{2}{m}, cAnalytics{3}{m}, cAnalytics{4}(m)); 
        for n=5:length(cAnalytics)
            fprintf(fid, '\t%s', cAnalytics{n}{m});        
        end
        fprintf(fid, '\n');
    end

    
    
    fclose(fid);

end

