function output = TFCSaveFeatures( fname, cFeatures )
%   File: TFCSaveFeatures.m
%   Description: Save features in file
%   Input:
%       fname - destination file name
%       cFeatures - Cell array with features
%   Output:
%       Ok        
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas


    fid = fopen(fname, 'w');
    fprintf(fid, 'index\tcentroide\textensio\tmffc1\tmfcc2\tmfcc3\tmfcc4\tmfcc5\tmfcc6\tmfcc7\tmfcc8\tmfc9\tmfcc10\tmfcc11\tmfcc12\tmfcc13\t');
    fprintf(fid, 'rolloff\tzerocross\tenergia\tfamilia\tsubfamilia\tinstrument\n');

    % save every row
    for m=1:length(cFeatures{1})
        fprintf (fid, '%d\t%g\t%g\t%g\t%g\t', cFeatures{1}(m), cFeatures{2}(m), cFeatures{3}(m), cFeatures{4}(m), cFeatures{5}(m));
        fprintf (fid, '%g\t%g\t%g\t%g\t%g\t', cFeatures{6}(m), cFeatures{7}(m), cFeatures{8}(m), cFeatures{9}(m), cFeatures{10}(m));
        fprintf (fid, '%g\t%g\t%g\t%g\t%g\t', cFeatures{11}(m), cFeatures{12}(m), cFeatures{13}(m), cFeatures{14}(m), cFeatures{15}(m));
        fprintf (fid, '%g\t%g\t%g\t%g\t%s\t', cFeatures{16}(m), cFeatures{17}(m), cFeatures{18}(m), cFeatures{19}(m), cFeatures{20}{m});
        fprintf (fid, '%s\t%s\n', cFeatures{21}{m}, cFeatures{22}{m}); 
    end

    fclose(fid);

    output = 1;

end

