function status = TFCSaveReportAnalytics( fname, cReport )
%   File: TFCSaveReport.m
%   Description: Save Report cell array
%
%   Input:
%       fname - destination file name
%       cReports - cell array with report data
%
%   Version: 1.0
%   Author: Juan Castro Mayorgas (jcastrom@uoc.edu)
%   (c) Copyright 2011 Juan Castro Mayorgas

    fid = fopen(fname, 'w');
    fprintf(fid, 'instrument\tEncerts\tErrades\tMostres\n');

    for m=1:length(cReport{1})
        fprintf (fid, '%s\t%d\t%d\t%d\n', cReport{1}{m}, cReport{2}(m), cReport{3}(m), cReport{4}(m)); 
    end

    fclose(fid);

end

